package game

func (gm *Game) setupRound() {
	gm.round = newRound()
	gm.selectQuote()
}

func newRound() Round {
	return Round{
		selections: make(map[string]string, 0),
		revelation: Revelation{
			votes:   make(map[string][]string, 0),
			sources: make(map[string]bool, 0),
		},
	}
}

func (gm *Game) selectQuote() {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	quote := gm.quotes["455df6bc-070d-4728-83ab-481ceafa8590"]
	gm.round.quoteId = quote.GetId()
	gm.round.sources = []Source{
		gm.getSourceById(quote.GetSourceId()),
	}
}

func (gm *Game) getSourceById(id string) Source {
	return Source{
		id:   id,
		name: "Herbert",
	}
}
